## org.hibernate.hql.ast
Class QuerySyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.QueryException
                          org.hibernate.hql.ast.QuerySyntaxException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidWithClauseException

    public class QuerySyntaxException

extends QueryException

Exception thrown when there is a syntax error in the HQL.

Author:
  josh
See Also:
  Serialized Form

Constructor Summary
`QuerySyntaxException(String message)`
`QuerySyntaxException(String message, String hql)`

Method Summary
`static QuerySyntaxException` `convert(antlr.RecognitionException e)`
`static QuerySyntaxException` `convert(antlr.RecognitionException e, String hql)`

Methods inherited from class org.hibernate.QueryException
`getMessage, getQueryString, setQueryString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuerySyntaxException

    public QuerySyntaxException(String message)

### QuerySyntaxException

    public QuerySyntaxException(String message,
                                String hql)

Method Detail

### convert

    public static QuerySyntaxException convert(antlr.RecognitionException e)

### convert

    public static QuerySyntaxException convert(antlr.RecognitionException e,
                                               String hql)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.